forum Forumsplay_arrow Minecraft fiber_manual_record Help

1

[Solved] 1.12.2 Eclipse (modding workspace) issue

1 emerald6 replies54 views
created 12/11/2018 5:41 pm by AstaZora
last reply 12/12/2018 5:27 pm

I am having a little bit of trouble debugging why my workspace for a 1.12.2 modding workspace...

My path is correct
My JAVA_HOME is correct

I modded back in 1.6-1.7.10 but I cannot source the issue of this error

Details

I have run the workspace in 3 different ways and the results are as so

Without forge, I get the java source files

With forge, decompiled I get an MDK package that is completely empty,

Or I get a combination of both




I have ran the gradlew setupDecompWorkspace

gradlew eclipse

And even gradlew --refresh-dependencies


I did at one point use gradlew setupDecompWorkspace --refresh-dependencies

I really need assistance, working on windows, will reply with any other information needed (8GB computer, ram or processing speed is not the issue)
Posted by avatar
AstaZora
Level 7 : Apprentice Mage
18

6 replies

1
12/12/2018 2:03 pm
Level 18 : Journeyman Modder
Agent7
avatar
You tried to change Xm3G to Xm1G in gradle.properties in your project?
2
12/12/2018 3:05 pm
Level 7 : Apprentice Mage
AstaZora
avatar
I never modified the ram, it's always completed. Everything worked, the MDKexample was empty, and I had the wrong Eclipse EXE, I needed the IDE package, not exe :) everything is working now
1
12/12/2018 5:27 pm
Level 18 : Journeyman Modder
Agent7
avatar
Ok that's amazing :)
1
12/12/2018 2:03 pm
Level 18 : Journeyman Modder
Agent7
avatar
Cuz I had the same error once
2
12/11/2018 11:50 pm
Level 7 : Apprentice Mage
AstaZora
avatar
Ignore this, I had the wrong eclipse installed,

NOTE TO ANYONE

USE IDE not JAVA DEVELOPMENT
2
12/11/2018 5:43 pm
Level 7 : Apprentice Mage
AstaZora
avatar
I will add, I did make this on my D drive (a removable terabyte drive) Is this related?

Search

Browse

Site

© 2010 - 2019
planetminecraft.com

Welcome